# DimmerAttenuation
11;rgb:0000/0000/0000## Attenuation laws legacy software written in Fortran 2003+

**Author:** Jean Gomes

**Contact:**  
- Jean Gomes: [antineutrinomuon@gmail.com](mailto:antineutrinomuon@gmail.com)

last stable version: 0.0.1

<hr>

## About
DimmerAttenuation is a software program designed for absorption (ATTENUATION) in the UV/optical region with legacy Fortran 2003+ routines.

<hr>

<img src="https://skillicons.dev/icons?i=python,fortran,c,numpy&theme=light"><br>
<img src="https://img.shields.io/pypi/pyversions/DimmerAttenuation"><img src="https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/license.svg">

<hr>


## RESUME
<div align="left">
<img src="https://github.com/neutrinomuon/DimmerAttenuation/blob/main/figures/DimmerAttenuation.png" width="120">
</div>

<div align="center">
<img src="https://github.com/neutrinomuon/DimmerAttenuation/blob/main/figures/Reddening_Laws.png?raw=true" width="100%">
</div>


### Overview:

DimmerAttenuation is a flexible Python library tailored for utilizing legacy
Fortran 2003+ routines. These routines enable the correction of observed
spectra or emission lines through attenuation laws. Additionally,
DimmerAttenuation facilitates the application of attenuation to hypothetical
spectra, such as models. The code assumes a uniform dust screen model for the
dust absoprtion.

### Key Features:

Apply attenuation or correct attenuation of spectra or lines.

### Getting Started:

--------------------------------------------------------------------<br>
Your code has been rated at 10.00/10 (previous run: 10.00/10, +0.00)<br>

<hr>

#### <b>INSTALLATION</b>

You can easily install <a href=https://pypi.org/project/DimmerAttenuation/>DimmerAttenuation</a> by using pip - <a href='https://pypi.org/'>PyPI - The Python Package Index</a>:
<pre>
<code>
pip install DimmerAttenuation
</code>
</pre>
or by using a generated conda repository <a href='https://anaconda.org/neutrinomuon/DimmerAttenuation'>https://anaconda.org/neutrinomuon/DimmerAttenuation</a>:

[![badgetanaconda](https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/version.svg)](https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/version.svg)
[![badgetreleasedate](https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/latest_release_date.svg)](https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/latest_release_date.svg)
[![badgetplatforms](https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/platforms.svg
)](https://anaconda.org/neutrinomuon/DimmerAttenuation/badges/platforms.svg)
<pre>
<code>
conda install -c neutrinomuon DimmerAttenuation
</code>
</pre>
OBS.: Linux, OS-X ad Windows pre-compilations available in conda.

You can also clone the repository and install by yourself in your machine:
<pre>
<code>
git clone https://github.com/neutrinomuon/DimmerAttenuation
python setup.py install
</code>
</pre>

<hr>

## Contributor

- Jean Gomes (Software Developer, Advisor): Jean is primarily responsible for
  the software development and implementation of DimmerAttenuation.

<table>

<tr><td align='center'><img width=50 src="https://github.com/neutrinomuon/PyDust/blob/main/figures/logs.jpg?raw=true"></td><td>LOGS</td></tr>

<tr><td>03/27/2024</td>

<td>J.G. submitted the routines to githu platform</td></tr>

</table>

<hr>

#### <b>LICENSE</b>

This software is provided "AS IS" (see DISCLAIMER below). Permission to use,
for non-commercial purposes is granted. Permission to modify for personal or
internal use is granted, provided this copyright and disclaimer are included
in ALL copies of the software. All other rights are reserved. In particular,
redistribution of the code is not allowed without explicit permission by the
author.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
